curl -X DELETE https://api.infinipost.co/v1/media/sounds/sound_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch('https://api.infinipost.co/v1/media/sounds/sound_abc123', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
});
const data = await response.json();
import requests
response = requests.delete(
'https://api.infinipost.co/v1/media/sounds/sound_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
print(response.json())
{
"success": true,
"soundId": "sound_abc123",
"message": "Sound deleted successfully"
}
Media
Delete Sound
Delete an uploaded sound
DELETE
/
v1
/
media
/
sounds
/
{soundId}
curl -X DELETE https://api.infinipost.co/v1/media/sounds/sound_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch('https://api.infinipost.co/v1/media/sounds/sound_abc123', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
});
const data = await response.json();
import requests
response = requests.delete(
'https://api.infinipost.co/v1/media/sounds/sound_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
print(response.json())
{
"success": true,
"soundId": "sound_abc123",
"message": "Sound deleted successfully"
}
Path Parameters
string
required
The unique sound identifier.
Response
boolean
Whether the sound was deleted successfully.
string
ID of the deleted sound.
string
Confirmation message.
curl -X DELETE https://api.infinipost.co/v1/media/sounds/sound_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch('https://api.infinipost.co/v1/media/sounds/sound_abc123', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
});
const data = await response.json();
import requests
response = requests.delete(
'https://api.infinipost.co/v1/media/sounds/sound_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
print(response.json())
{
"success": true,
"soundId": "sound_abc123",
"message": "Sound deleted successfully"
}
Deleting a sound does not affect posts that are already using it. Only new posts will be unable to use the deleted sound.
Error Responses
Sound Not Found
{
"error": {
"code": "not_found",
"message": "Sound sound_abc123 not found"
}
}
⌘I